<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:minHeight="400dp">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:id="@+id/location_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:visibility="visible">

            <TextView
                android:id="@+id/name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="25dp"
                android:textAlignment="center"
                android:text="@string/lipsum_title"
                style="@style/TextTitle"/>

            <ImageView
                android:id="@+id/image"
                android:layout_width="match_parent"
                android:layout_height="200dp"
                android:scaleType="centerCrop"/>

            <TextView
                android:id="@+id/content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="25dp"
                style="@style/TextBody"
                android:text="@string/lipsum" />

            <org.osmdroid.views.MapView
                android:id="@+id/map"
                android:layout_width="match_parent"
                android:layout_height="200dp"
                android:layout_marginBottom="100dp"
                android:focusable="false"
                android:clickable="false"/>

        </LinearLayout>

    </ScrollView>

    <ProgressBar
        android:id="@+id/location_progress"
        android:layout_width="100dp"
        android:layout_height="100dp"
        android:layout_gravity="center"
        android:visibility="gone"/>

    <Button
        android:id="@+id/navigate"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="15dp"
        android:layout_gravity="bottom"
        android:drawableStart="@drawable/ic_directions"
        android:paddingStart="30dp"
        android:paddingEnd="50dp"
        android:text="@string/location_directions" />

</FrameLayout>